package com.njyunzhi.pet_identity.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.njyunzhi.pet_identity.common.BaseController;
import com.njyunzhi.pet_identity.common.ResponseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import com.njyunzhi.pet_identity.service.ITaMiniappQrcodeService;
import com.njyunzhi.pet_identity.entity.TaMiniappQrcode;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
    * 小程序码 前端控制器
    * </p>
 *
 * @author yansen
 * @since 2022-05-28
 */

@Api(tags = "小程序码")
@RestController
@RequestMapping("/")
public class TaMiniappQrcodeController extends BaseController {

    private final Logger logger = LoggerFactory.getLogger(TaMiniappQrcodeController.class);

    @Autowired
    public ITaMiniappQrcodeService iTaMiniappQrcodeService;

//
//    /**
//     * 分页查询列表
//     * @param pageNum
//     * @param pageSize
//     * @return
//     */
//    @RequestMapping(value="/taMiniappQrcode",method= RequestMethod.GET)
//    @ApiOperation(value="列表", notes = "列表", httpMethod = "GET", response = ResponseBean.class)
//    public ResponseBean taMiniappQrcodeList(@ApiParam("页码") @RequestParam(value ="pageNum",defaultValue = "1") Integer pageNum,
//									 @ApiParam("单页数据量") @RequestParam(value ="pageSize",defaultValue = "10") Integer pageSize) throws Exception{
//
//		    IPage<TaMiniappQrcode> pg = new Page<>(pageNum, pageSize);
//            QueryWrapper<TaMiniappQrcode> queryWrapper = new QueryWrapper<>();
//            queryWrapper.orderByDesc("create_date");
//
//            IPage<TaMiniappQrcode> result = iTaMiniappQrcodeService.page(pg, queryWrapper);
//            return ResponseBean.success(result);
//    }
//
//    /**
//     * 保存对象
//     * @param taMiniappQrcode 实体对象
//     * @return
//     */
//    @RequestMapping(value="/taMiniappQrcode",method= RequestMethod.POST)
//    @ApiOperation(value="保存", notes = "保存", httpMethod = "POST", response = ResponseBean.class)
//    public ResponseBean taMiniappQrcodeAdd(@ApiParam("保存内容") @RequestBody TaMiniappQrcode taMiniappQrcode) throws Exception{
//
//        if (iTaMiniappQrcodeService.save(taMiniappQrcode)){
//            return ResponseBean.success(taMiniappQrcode);
//        }else {
//            return ResponseBean.error("保存失败, 请重试", ResponseBean.ERROR_UNAVAILABLE);
//        }
//    }
//
//    /**
//     * 根据id删除对象
//     * @param id  实体ID
//     */
//    @RequestMapping(value="/taMiniappQrcode/{id}", method= RequestMethod.DELETE)
//    @ApiOperation(value="删除", notes = "删除", httpMethod = "DELETE", response = ResponseBean.class)
//    public ResponseBean taMiniappQrcodeDelete(@ApiParam("对象ID") @PathVariable Integer id) throws Exception{
//        if(iTaMiniappQrcodeService.removeById(id)){
//            return ResponseBean.success("success");
//        }else {
//            return ResponseBean.error("删除失败, 请重试", ResponseBean.ERROR_UNAVAILABLE);
//        }
//    }
//
//    /**
//     * 修改对象
//     * @param id  实体ID
//     * @param taMiniappQrcode 实体对象
//     * @return
//     */
//    @RequestMapping(value="/taMiniappQrcode/{id}",method= RequestMethod.PUT)
//    @ApiOperation(value="更新", notes = "更新", httpMethod = "PUT", response = ResponseBean.class)
//    public ResponseBean taMiniappQrcodeUpdate(@ApiParam("对象ID") @PathVariable Integer id,
//                                        @ApiParam("更新内容") @RequestBody TaMiniappQrcode taMiniappQrcode) throws Exception{
//
//        if (iTaMiniappQrcodeService.updateById(taMiniappQrcode)){
//            return ResponseBean.success(iTaMiniappQrcodeService.getById(id));
//        }else {
//            return ResponseBean.error("修改失败, 请重试", ResponseBean.ERROR_UNAVAILABLE);
//        }
//    }

    /**
     * 根据id查询对象
     * @param id  实体ID
     */
    @RequestMapping(value="/wx/{clientId}/qrcode/{id}",method= RequestMethod.GET)
    @ApiOperation(value="查询二维码详情", notes = "查询二维码详情", httpMethod = "GET", response = ResponseBean.class)
    public ResponseBean taMiniappQrcodeGet(@ApiParam("对象ID") @PathVariable Integer id) throws Exception{
        return ResponseBean.success(iTaMiniappQrcodeService.getById(id));
    }
}
