package com.njyunzhi.pet_identity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 卡号库
 * </p>
 *
 * @author yansen
 * @since 2022-05-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaCardNo对象", description="卡号库")
public class TaCardNo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "卡号")
    @TableId(value = "card_no", type = IdType.INPUT)
    private String cardNo;

    @ApiModelProperty(value = "关联小程序码")
    private String qrId;

    @ApiModelProperty(value = "小程序码图片地址")
    private String qrImage;

    @ApiModelProperty(value = "卡模板图片")
    private String tplImage;

    @ApiModelProperty(value = "状态;0未使用,1已使用")
    private Integer status;

    @ApiModelProperty(value = "生成日期")
    private LocalDateTime createDate;


}
