package com.njyunzhi.pet_identity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 订单表
 * </p>
 *
 * @author yansen
 * @since 2022-05-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaOrder对象", description="订单表")
public class TaOrder implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "订单ID")
    @TableId(value = "order_id", type = IdType.UUID)
    private String orderId;

    @ApiModelProperty(value = "订单号")
    private String orderNo;

    @ApiModelProperty(value = "申请ID")
    private String applyId;

    @ApiModelProperty(value = "支付金额;单位分")
    private Integer charges;

    @ApiModelProperty(value = "工本费;单位分")
    private Integer productionCost;

    @ApiModelProperty(value = "快递费;单位分")
    private Integer expressFee;

    @ApiModelProperty(value = "状态;0未支付, 1支付成功, 2支付失败")
    private Integer status;

    @ApiModelProperty(value = "创建日期")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "支付日期")
    private LocalDateTime payDate;

    @ApiModelProperty(value = "退款日期")
    private LocalDateTime refundDate;

}
