package com.njyunzhi.pet_identity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 宠物表
 * </p>
 *
 * @author yansen
 * @since 2022-05-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaPet对象", description="宠物表")
public class TaPet implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "宠物ID")
    @TableId(value = "pet_id", type = IdType.UUID)
    private String petId;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "人员ID")
    private String personId;

    @ApiModelProperty(value = "性别")
    private Integer sex;

    @ApiModelProperty(value = "生日")
    private String birthday;

    @ApiModelProperty(value = "毛色")
    private String color;

    @ApiModelProperty(value = "宠物类别")
    private String petType;

    @ApiModelProperty(value = "宠物照片")
    private String image;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建日期")
    private LocalDateTime createDate;


}
